configure: add --enable-Werror
[lttng-tools.git] / tests / stress / test_multi_sessions_per_uid_5app_streaming
index 3d355822476b1ecf57180d1d4ff01968db088dcf..f8a0a4755d2723756a20e0ec4aa9a87ac7b995ba 100755 (executable)
@@ -1,14 +1,9 @@
 #!/bin/bash
 #
-# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
+# Copyright (C) 2013 David Goulet <dgoulet@efficios.com>
 #
-# This library is free software; you can redistribute it and/or modify it under
-# the terms of the GNU Lesser General Public License as published by the Free
-# Software Foundation; version 2.1 of the License.  details.
+# SPDX-License-Identifier: LGPL-2.1-only
 #
-# You should have received a copy of the GNU Lesser General Public License
-# along with this library; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
 
 CURDIR=$(dirname $0)/
 TESTDIR=$CURDIR/..
@@ -40,15 +35,6 @@ function enable_channel_per_uid()
     ok $? "Enable channel $channel_name per UID for session $sess_name"
 }
 
-function lttng_create_session_uri
-{
-       local name=$1
-
-       # Create session with default path
-       $TESTDIR/../src/bin/lttng/$LTTNG_BIN create $name -U net://localhost >/dev/null 2>&1
-       ok $? "Create session on net://localhost"
-}
-
 function check_sessiond()
 {
        if [ -z "$(pgrep --full lt-lttng-sessiond)" ]; then
@@ -79,8 +65,6 @@ function check_relayd()
 
 function start_sessiond()
 {
-       local SESSIOND_BIN="lttng-sessiond"
-
        validate_kernel_version
        if [ $? -ne 0 ]; then
                fail "Start session daemon"
@@ -99,7 +83,6 @@ function start_sessiond()
 function start_relayd
 {
        local opt=$1
-       local RELAYD_BIN="lttng-relayd"
 
        if [ -z $(pgrep --full lt-$RELAYD_BIN) ]; then
                $TESTDIR/../src/bin/lttng-relayd/$RELAYD_BIN $opt >$LOG_FILE_RELAYD 2>&1 &
@@ -111,7 +94,7 @@ test_stress()
 {
        for b in $(seq 1 $NR_LOOP); do
                for a in $(seq 1 $NR_SESSION); do
-                       lttng_create_session_uri $SESSION_NAME-$a
+                       create_lttng_session_uri $SESSION_NAME-$a net://localhost
                        check_sessiond
                        check_relayd
                        enable_channel_per_uid $SESSION_NAME-$a $CHANNEL_NAME
@@ -154,11 +137,10 @@ function sighandler()
 {
        cleanup
        rm $LOG_FILE_SESSIOND $LOG_FILE_RELAYD
-       exit 1
+       full_cleanup
 }
 
-trap sighandler SIGINT
-trap sighandler SIGTERM
+trap sighandler SIGINT SIGTERM
 
 # Make sure we collect a coredump if possible.
 ulimit -c unlimited
This page took 0.024485 seconds and 4 git commands to generate.